> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payout properties

> List all custom properties defined on payout object.  
You can customize the payout properties from your [account's settings page](https://app.kiflo.com/account/properties).



## OpenAPI

````yaml /openapi.json get /v3/payouts/properties
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/payouts/properties:
    get:
      tags:
        - PayoutProperties
      summary: List payout properties
      description: "List all custom properties defined on payout object.  \r\nYou can customize the payout properties from your [account's settings page](https://app.kiflo.com/account/properties)."
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PropertyDefinitionDto'
              example:
                - id: 1
                  entityType: Transaction
                  propertyType: SingleLineText
                  name: name
                  label: Name
                  placeholder: null
                  description: The name
                  isRequired: false
                  isVisible: false
                  isPartnerEditable: false
                  isCustom: false
                  isReadOnly: false
                  displayOrder: 0
                  isDealAmountPart: false
                  canEditDescription: false
                  canEditIsRequired: false
                  dropdownConfiguration: null
      security:
        - oauth2:
            - Api
components:
  schemas:
    PropertyDefinitionDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        entityType:
          $ref: '#/components/schemas/EntityType'
        propertyType:
          $ref: '#/components/schemas/PropertyType'
        name:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        placeholder:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        isRequired:
          type: boolean
        isVisible:
          type: boolean
        isPartnerEditable:
          type: boolean
        isCustom:
          type: boolean
        isReadOnly:
          type: boolean
        displayOrder:
          type: integer
          format: int32
        isDealAmountPart:
          type: boolean
        canEditDescription:
          type: boolean
        canEditIsRequired:
          type: boolean
        dropdownConfiguration:
          $ref: '#/components/schemas/DropdownConfigurationDto'
      additionalProperties: false
    EntityType:
      enum:
        - Unknown
        - Deal
        - Contact
        - Lead
        - Partner
        - Transaction
        - Customer
        - RewardDefinition
        - Product
        - LineItem
        - Payout
        - BusinessPlan
        - PartnerApplication
        - Asset
        - Event
        - Task
        - View
        - TeamMember
        - TeamMemberCertification
        - Certification
        - OnboardingPipeline
        - OnboardingStage
        - Article
        - OnboardingStageAction
        - Comment
        - Note
        - Workflow
        - WorkflowEnrollment
        - Group
        - PartnerProgram
        - ProgramLevel
        - OnboardingStageActionResult
        - Attachment
        - Meeting
        - Reward
        - WorkflowTemplate
        - IntegrationFieldMapping
        - ProspectionPipeline
        - EmailTemplate
        - ProspectPartner
        - News
        - Collection
        - IntegrationLog
        - PartnerDirectory
        - DirectoryProfile
        - DirectoryProfilePartnerPreview
        - HubSpotFormMapping
        - AccountMappingDataSource
        - Account
        - OverlappingPartnerAccount
        - OverlappingTenantAccount
        - Collaboration
        - ProductPrice
        - AccessToken
        - AccountOverlap
      type: string
    PropertyType:
      enum:
        - Unknown
        - SingleLineText
        - MultiLineText
        - Number
        - Currency
        - Url
        - Email
        - SingleSelect
        - Percent
        - Reward
        - Date
        - Checkbox
        - MultiSelect
        - Object
        - Enum
        - User
      type: string
    DropdownConfigurationDto:
      type: object
      properties:
        options:
          type: array
          items:
            $ref: '#/components/schemas/DropdownOptionDto'
          nullable: true
      additionalProperties: false
    DropdownOptionDto:
      type: object
      properties:
        label:
          type: string
          nullable: true
        originalValue:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false

````